...
 
Commits (2)
......@@ -11,15 +11,16 @@ for chk in vuln-lists/*/check; do
if [ -x "$chk" ]; then
for p in pkg-lists/*/list.csv; do
pkglist=$(realpath "$(pwd)/$p")
pkgdir=$(dirname $pkglist)
cd $(dirname "$chk")
PNAME=$(basename $(dirname $pkglist))
PNAME=$(basename $pkgdir)
VNAME=$(basename $(pwd))
echo
echo "+----------------------------------------------------------------------+"
echo "| Checking $PNAME against $VNAME"
echo "+----------------------------------------------------------------------+"
echo
REPORTNAME="report_${PNAME}_${VNAME}_$(date '+%Y-%m-%d_%T')" ./check "$pkglist"
REPORTPATH="$pkgdir/report_${PNAME}_${VNAME}_$(date '+%Y-%m-%d_%T')" ./check "$pkglist"
cd - >/dev/null
done
fi
......
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.12 (GNU/Linux)
mQGiBD5dIFQRBADB31WinbXdaGk/8RNkpnZclu1w3Xmd5ItACDLB2FhOhArw35EA
MOYzxI0gRtDNWN4pn9n74q4HbFzyRWElThWRtBTYLEpImzrk7HYVCjMxjw5A0fTr
88aiHOth5aS0vPAoq+3TYn6JDSipf2bR03G2JVwgj3Iu066pX4naivNm8wCgldHG
F3y9vT3UPYh3QFgEUlCalt0D/3n6NopRYy0hMN6BPu+NarXwv6NQ9g0GV5FNjEEr
igkrD/htqCyWAUl8zyCKKUFZZx4UGBRZ5guCdNzwgYH3yn3aVMhJYQ6tcSlLsj3f
JIz4LAZ3+rI77rbn7gHHdp7CSAuV+QHv3aNanUD/KGz5SPSvF4w+5qRM4PfPNT1h
LMV8BACzxiyX7vzeE4ZxNYvcuCtv0mvEHl9yD66NFA35RvXaO0QiRVYeoUa5JOQZ
gwq+fIB0zgsEYDhXFkC1hM/QL4NccMRk8C09nFn4eiz4dAEnwKt4rLCJKhkLl1DW
TSoXHe/dOXaLnFyLzB1J8hEYmUvw3SwPt//wMqDiVBLeZfFcdLQwU2xhY2t3YXJl
IExpbnV4IFByb2plY3QgPHNlY3VyaXR5QHNsYWNrd2FyZS5jb20+iF8EExECAB8E
CwcDAgMVAgMDFgIBAh4BAheABQJQPlypBQlBo7MrAAoJEGpEY8BAECIzjOwAn3vp
tb6K1v2wLI9eVlnCdx4m1btpAJ9sFt4KwJrEdiO5wFC4xe9G4eZl4rkBDQQ+XSBV
EAQA3VYlpPyRKdOKoM6t1SwNG0YgVFSvxy/eiratBf7misDBsJeH86Pf8H9OfVHO
cqscLiC+iqvDgqeTUX9vASjlnvcoS/3H5TDPlxiifIDggqd2euNtJ8+lyXRBV6yP
sBIA6zki9cR4zphe48hKpSsDfj7uL5sfyc2UmKKboSu3x7cAAwUD/1jmoLQs9bIt
bTosoy+5+Uzrl0ShRlv+iZV8RPzAMFuRJNxUJkUmmThowtXRaPKFI9AVd+pP44aA
J+zxCPtS2isiW20AxubJoBPpXcVatJWi4sG+TM5Z5VRoLg7tIDNVWsyHGXPAhIG2
Y8Z1kyWwb4P8A/W2b1ZCqS7Fx4yEhTikiEwEGBECAAwFAlA+XL8FCUGjs2IACgkQ
akRjwEAQIjMsbQCgk59KFTbTlZfJ6FoZjjEmK3/xGR4AniYT+EdSdvEyRtZYkqWz
p1ayvO1b
=tibb
-----END PGP PUBLIC KEY BLOCK-----
......@@ -8,12 +8,12 @@ set -eu
# This requires vxquery from https://www.vuxml.org/
[ -x /usr/bin/vxquery ] || { echo "vxquery not found :(" >&2; exit 1; }
REPORTNAME="${REPORTNAME:-report}"
REPORTPATH="${REPORTPATH:-report}"
#-----------------------------------------------------------------------
vxquery -f <(awk -F, '{print $1"-"$2}' "$1") vuln.xml > "$REPORTNAME".txt
echo "Wrote $REPORTNAME.txt"
vxquery -f <(awk -F, '{print $1"-"$2}' "$1") vuln.xml > "$REPORTPATH".txt
echo "Wrote $REPORTPATH.txt"
#-----------------------------------------------------------------------
......
......@@ -12,7 +12,7 @@ set -eu
# This requires system/cve-check-tool from SlackBuilds.org
[ -x /usr/bin/cve-check-tool ] || { echo "cve-check-tool not found :(" >&2; exit 1; }
REPORTNAME="${REPORTNAME:-report}"
REPORTPATH="${REPORTPATH:-report}"
#-----------------------------------------------------------------------
......@@ -22,11 +22,11 @@ export HOME=$(realpath ..)
# Create the reports, in two formats.
# (1) html
cve-check-tool -u "$1" > "$REPORTNAME".html
echo "Wrote $REPORTNAME.html"
cve-check-tool -u "$1" > "$REPORTPATH".html
echo "Wrote $REPORTPATH.html"
# (2) csv
cve-check-tool -u -c "$1" | sort > "$REPORTNAME".csv
echo "Wrote $REPORTNAME.csv"
cve-check-tool -u -c "$1" | sort > "$REPORTPATH".csv
echo "Wrote $REPORTPATH.csv"
#-----------------------------------------------------------------------
......
......@@ -24,7 +24,7 @@ if len(sys.argv) >= 2:
else:
sys.exit("Argument missing")
reportpath=os.environ.get("REPORTNAME","report")+".csv"
reportpath=os.environ.get("REPORTPATH","report")+".csv"
#-----------------------------------------------------------------------
# Read the package list and store it in 'plist'.
......